> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zbdpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# API Supported Regions

> Verify if a user is coming from a supported region.

## Description

The ZBD API is available in over 100 countries around the world, and we're always aiming to expand our reach.

If you wish to know whether the incoming user request is coming from a region where ZBD is supported or not, you can use this simple API endpoint and pass the target IP address as a parameter.

## Usage

The idea behind this endpoint is that in order to serve your users the best way possible, you should check where they are located and ensure that they can make use of ZBD services.

## Configuration

### Path Parameters

<ParamField required path="IP_ADDRESS" type="string">
  IP address to check
</ParamField>

### Header Parameters

<ParamField required header="apikey" type="string">
  ZBD Project API Key
</ParamField>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
      "ipAddress": "66.109.221.0",
      "isSupported": true,
      "ipCountry": "US",
      "ipRegion": "CO"
    }
  }
  ```
</ResponseExample>
